summaryrefslogtreecommitdiffstats
path: root/linhes/linhes-dev/lh_setup_dev.sh
diff options
context:
space:
mode:
Diffstat (limited to 'linhes/linhes-dev/lh_setup_dev.sh')
-rwxr-xr-xlinhes/linhes-dev/lh_setup_dev.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/linhes/linhes-dev/lh_setup_dev.sh b/linhes/linhes-dev/lh_setup_dev.sh
index 1d9f783..e38e73f 100755
--- a/linhes/linhes-dev/lh_setup_dev.sh
+++ b/linhes/linhes-dev/lh_setup_dev.sh
@@ -15,6 +15,7 @@ mkdir -p /data/dev/pkg_repo/src_packages/linhes-testing
echo -e "\n\nSetup clean-chroot-manager (ccm) and edit ~/.config/clean-chroot-manager.conf"...
sudo ccm l
sed -i 's/CHROOTPATH64=.*/CHROOTPATH64=\"\/data\/dev\/LH_buildroot\"/' ~/.config/clean-chroot-manager.conf
+sed -i 's/#CUSTOM_PACMAN_CONF=.*/CUSTOM_PACMAN_CONF=\"\/usr\/share\/linhes\/templates\/pacman.conf.template"/' ~/.config/clean-chroot-manager.conf
sudo ccm c
echo -e "\n\nChanging setting in /etc/makepkg.conf..."
@@ -48,10 +49,22 @@ fi
END
fi
+echo -e "\n\nAdd rclone.conf..."
+if ! grep -q 'host = linhes.org' ~/.config/rclone/rclone.conf; then
+cat >> ~/.config/rclone/rclone.conf<<END
+[ssh]
+type = sftp
+host = linhes.org
+user = reposync
+key_file = ssh-agent
+pubkey_file = ~/.ssh/id_rsa.pub
+END
+fi
+
# clone the git linhes_pkgbuild
# Checkout the repo. You will need to have been given a dev account on
# linhes.org. This involves creating a public ssh key and supplying it to
# one of the linhes.org admins. The key is created using ssh-keygen. The
# resulting public key will be stored in .ssh/id_rsa.pub.
echo -e "\n\nCheckout the repo manually. You will need to be given a dev account on linhes.org. This involves creating a public ssh key and supplying it toone of the linhes.org admins. The key is created using ssh-keygen. The resulting public key will be stored in .ssh/id_rsa.pub."
-echo -e "EXAMPLE: \ncd /data/dev\ngit clone git@linhes.org:linhes_pkgbuild\n\n"
+echo -e "EXAMPLE: \ncd /data/dev\ngit clone git@linhes.org:linhes_pkgbuild\ngit checkout testing\n\n"